Browse Source

packager.io need to have a working ruby env to download zammad locales and translations.

Martin Edenhofer 8 years ago
parent
commit
7ea7c1aa83
2 changed files with 21 additions and 2 deletions
  1. 1 2
      .pkgr.yml
  2. 20 0
      contrib/packager.io/after.sh

+ 1 - 2
.pkgr.yml

@@ -26,8 +26,7 @@ before:
   - "cat Gemfile.lock"
   - contrib/cleanup.sh
 after:
-  - rails r 'Locale.fetch'
-  - rails r 'Translation.fetch'
+  - contrib/after.sh
 env:
   - RAILS_ENV=production
   - PORT=3000

+ 20 - 0
contrib/packager.io/after.sh

@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# packager.io after script
+#
+
+PATH=`pwd`/bin:`pwd`/vendor/bundle/bin:$PATH
+
+set -e
+
+# download locales and translations to make a offline installation possible
+gem install bundle
+bundle install
+
+rake db:migrate
+rake db:seed
+
+rails r 'Locale.fetch'
+rails r 'Translation.fetch'
+
+rm -rf tmp/cache*